<div class="container">
    <div class="col-md-6 col-md-offset-3">
        <form (submit)="createOrUpdatePost($event)">
            <div class="form-group">
                <label for="sel1">Введите название:</label>
                <input type="text" class="form-control" id="exampleInputEmail1" placeholder="Название поста">
            </div>
            <div class="form-group">
                <label for="sel1">Выберите категорию поста:</label>
                <select class="form-control" id="sel1">
                    <option>1</option>
                    <option>2</option>
                    <option>3</option>
                    <option>4</option>
                </select>
            </div>
            <div class="form-group">
                <label for="textarea">Введите описание:</label>
                <textarea class="form-control" rows="15" id="textarea"></textarea>
            </div>
            <button type="submit" class="btn btn-default">Submit</button>
        </form>
    </div>
</div>